/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package testvzor2;

import java.util.Scanner;

/**
 *
 * @author podhope1
 */
public class Main {

    public static int[][] vytvorMatici(int w, int h) {
        int[][] pole = new int[w][h];

        for (int y = 0; y < pole.length; y++) {
            for (int x = 0; x < pole[y].length; x++) {
                pole[y][x] = (int) (Math.random() * 20) + 1;
            }
        }

        return pole;
    }

    public static void vypisMatici(int[][] pole) {
        for (int y = 0; y < pole.length; y++) {
            for (int x = 0; x < pole[y].length; x++) {
                System.out.print(pole[y][x] + " ");
            }
            System.out.println("");
        }
    }

    public static int nejvetsiCisloNadHD(int[][] pole) {
        int max = 0;
        for (int y = 0; y < pole.length; y++) {
            for (int x = y + 1; x < pole[y].length; x++) {
                if (pole[y][x] > max) {
                    max = pole[y][x];
                }
            }
        }

        return max;
    }

    public static int radekNejvicDvojcifernych(int[][] pole) {
        int max=0;
        int maxRadek=0;
        
        for (int y = 0; y < pole.length; y++) {
            int pocetDC=0;
            for (int x = 0; x < pole[y].length; x++) {
                if (pole[y][x]>=10) pocetDC++;
            }
            
            if (pocetDC>max) {
                max=pocetDC;
                maxRadek=y;
            }
        }
        
        return maxRadek;
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);

        System.out.print("Zadej sirku matice: ");
        int w = scanner.nextInt();
        System.out.print("Zadej vysku matice: ");
        int h = scanner.nextInt();

        if (w <= 0 || h <= 0) {
            System.out.println("Rozmery jsou spatne zadane");
            return;
        }

        int[][] data = vytvorMatici(w, h);
        vypisMatici(data);
        System.out.println("Nejvetsi cislo nad HD: " + nejvetsiCisloNadHD(data));
        System.out.println("Radek s nejvetsim pocetem dvojcifernych cisel: "+
                radekNejvicDvojcifernych(data));
    }
}
