/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package testvzorb2;

import java.util.Scanner;

/**
 *
 * @author podhope1
 */
public class Main {

    public static int[][] vytvorMatici(int w, int h) {
        int[][] pole = new int[w][h];

        for (int y = 0; y < pole.length; y++) {
            for (int x = 0; x < pole[y].length; x++) {
                pole[y][x] = (int) (Math.random() * 20) + 1;
            }
        }

        return pole;
    }

    public static void vypisMatici(int[][] pole) {
        for (int y = 0; y < pole.length; y++) {
            for (int x = 0; x < pole[y].length; x++) {
                System.out.print(pole[y][x] + " ");
            }
            System.out.println("");
        }
    }

    public static int nejmensiCisloPodVD(int[][] pole) {
        int min = Integer.MAX_VALUE;
        for (int y = 0; y < pole.length; y++) {
            for (int x = pole.length - y; x < pole[y].length; x++) {
                if (pole[y][x] < min) {
                    min = pole[y][x];
                }
            }
        }

        return min;
    }

    public static int sloupecNejPocetJednoCifernych(int[][] pole) {
        int max = -1;
        int maxSloupec = 0;

        for (int x = 0; x < pole[0].length; x++) {
            int pocet = 0;
            for (int y = 0; y < pole.length; y++) {
                if (pole[y][x] < 10) {
                    pocet++;
                }
            }

            if (pocet > max) {
                max = pocet;
                maxSloupec = x;
            }
        }

        return maxSloupec;
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);

        System.out.print("Zadej sirku matice: ");
        int w = scanner.nextInt();
        System.out.print("Zadej vysku matice: ");
        int h = scanner.nextInt();

        if (w <= 0 || h <= 0) {
            System.out.println("Matice ma spatne rozmery");
            return;
        }

        int[][] data = vytvorMatici(w, h);
        vypisMatici(data);
        System.out.println("Nejmensi cislo pod VD: " + nejmensiCisloPodVD(data));
        System.out.println("Sloupec s nejvetsim poctem jednocifernych cisel je: "
                + sloupecNejPocetJednoCifernych(data));
    }
}
